
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: cdrdao: fix build on non-armv4l ARM platforms

Currently, cdrdao only provides rules files for armv4l platforms,
while there are many more possible arm target triple combos.

This patch adds two lines to the cdrdao spec file that create
rules files for whatever arm arch we are currently building for
by symlinking them to the armv4l versions.  Ideally, something
like this should be folded into the cdrdao build system.

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/cdrdao.spec
===================================================================
--- SPECS.orig/cdrdao.spec
+++ SPECS/cdrdao.spec
@@ -1,7 +1,7 @@
 Summary: Writes audio CD-Rs in disk-at-once (DAO) mode
 Name: cdrdao
 Version: 1.2.2
-Release: 3
+Release: 3.fa1
 License: GPLv2
 Group: Applications/Multimedia
 URL: http://cdrdao.sourceforge.net/
@@ -36,6 +36,8 @@ chmod a+rX -R .
 %patch9 -p1 -b .endian
 %patch23 -p1 -b .silly
 %patch30 -p1 -b .excl
+ln -s armv4l-linux-cc.rul RULES/%{_arch}-linux-cc.rul
+ln -s armv4l-linux-gcc.rul RULES/%{_arch}-linux-gcc.rul
 
 %build
 %configure --prefix=%{_prefix}\
